This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1276901 - Review Request: xoscope - Simple but powerful sound card oscilloscope
Review Request: xoscope - Simple but powerful sound card oscilloscope
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2015-10-31 22:11 EDT by PeteV
Modified: 2015-11-23 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description PeteV 2015-10-31 22:11:46 EDT
Spec URL: https://github.com/PeteV/RPM-Repo
SRPM URL: https://copr.fedoraproject.org/coprs/petev/xoscope/
Description: Simple but powerful sound card oscilloscope
Fedora Account System Username: petev
Comment 1 gil cattaneo 2015-11-15 16:10:55 EST
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1266804 ?
Comment 2 gil cattaneo 2015-11-15 16:13:08 EST
know the meaning of Spec URL and SRPM URL ? why I do not know what to make of these references you provided ...
Comment 3 gil cattaneo 2015-11-15 16:14:39 EST
Please, remove "rm -rf $RPM_BUILD_ROOT" from install section
Comment 4 gil cattaneo 2015-11-15 16:22:10 EST
It could be that you're not part of the packaging group?
Comment 5 gil cattaneo 2015-11-15 16:26:12 EST
Other issues:
%doc %{_datadir}/man/man1/%{name}.1.gz
%doc %{_datadir}/pixmaps/
%doc /usr/bin/%{name} 
please, remove %doc macro and use %{_bindir}/%{name}
Comment 6 PeteV 2015-11-15 16:28:52 EST
(In reply to gil cattaneo from comment #4)
> It could be that you're not part of the packaging group?

true I'm not, I need a sponsor for the package and myself. 
I'm willing to spend a lot of time and effort in learning the right way to do this packaging. :)

I didn't quite understand what you meant by not making sense on the urls and such
but now I'm connecting the two and deducing you meant to question why they are that way.
Comment 7 gil cattaneo 2015-11-15 16:36:11 EST
(In reply to PeteV from comment #6)
> (In reply to gil cattaneo from comment #4)
> > It could be that you're not part of the packaging group?
> 
> true I'm not, I need a sponsor for the package and myself. 
> I'm willing to spend a lot of time and effort in learning the right way to
> do this packaging. :)

Please, read
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group
https://fedoraproject.org/wiki/Package_Review_Process

> I didn't quite understand what you meant by not making sense on the urls and
> such
> but now I'm connecting the two and deducing you meant to question why they
> are that way.

I leave this bug to others, who could become your sponsor (i cant help you in this)
Comment 8 PeteV 2015-11-15 16:41:51 EST
Ok Gil thanks have a great day!
Comment 9 Björn "besser82" Esser 2015-11-16 09:34:51 EST
Hey!

It's better to provide direct-download urls for reviewers, so fedora-review-tool can pick-up the files directly.  =)

e.g. like this:

Spec URL: https://raw.githubusercontent.com/PeteV/RPM-Repo/master/xoscope.spec
SRPM URL: https://github.com/PeteV/RPM-Repo/raw/master/xoscope-2.1-1.fc22.x86_64.rpm

* * *

Taking this.
Comment 12 PeteV 2015-11-19 15:40:25 EST
Thanks Björn, much to learn.....
Comment 13 PeteV 2015-11-20 00:21:14 EST
(In reply to Björn "besser82" Esser from comment #11)
> Spec URL:
> https://raw.githubusercontent.com/PeteV/RPM-Repo/master/xoscope.spec
> SRPM URL:
> https://copr-be.cloud.fedoraproject.org/results/petev/xoscope/fedora-rawhide-
> x86_64/00131632-xoscope/xoscope-2.1-1.fc24.src.rpm
> * * *
> 
> srpm-url corrected

thanks again Björn, I made some changes to the spec file and rebuild on copr
if you could do a quick check that will be great :)

Note You need to log in before you can comment on or make changes to this bug.